# Generated by Django 3.2.2 on 2021-05-18 10:01

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Schema',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('title', models.CharField(max_length=255, verbose_name='Title')),
                ('column_separator', models.CharField(choices=[(',', 'Comma')], default=',', max_length=255, verbose_name='Column separator')),
                ('string_character', models.CharField(choices=[('"', 'Double-quote')], default='"', max_length=255, verbose_name='String character')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='schemas', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'Schema',
                'verbose_name_plural': 'Schemas',
            },
        ),
        migrations.CreateModel(
            name='Column',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, verbose_name='Column name')),
                ('type', models.CharField(choices=[('full name', 'Full name'), ('job', 'Job'), ('email', 'Email'), ('domain name', 'Domain'), ('phone number', 'Phone number'), ('integer', 'Integer')], default='full name', max_length=255, verbose_name='Column type')),
                ('from_value', models.IntegerField(blank=True, null=True)),
                ('to_value', models.IntegerField(blank=True, null=True)),
                ('order', models.IntegerField(default=0)),
                ('schema', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='columns', to='schemas.schema')),
            ],
            options={
                'verbose_name': 'Column',
                'verbose_name_plural': 'Columns',
            },
        ),
    ]
